Subject: Re: linux-next: pci tree build failure

From: Jesse Barnes <[email-masked]>
Date: Mon, 4 Jan 2010 15:48:43 -0800

On Mon, 4 Jan 2010 16:10:01 -0700
Matthew Wilcox <[email-masked]> wrote:

> On Tue, Jan 05, 2010 at 09:55:43AM +1100, Stephen Rothwell wrote:
> > Today's linux-next build (powerpc ppc64_defconfig) failed like this:
> > 
> > drivers/pci/hotplug/rpaphp_core.c:433: error: unknown field
> > 'get_max_bus_speed' specified in initializer
> > drivers/pci/hotplug/rpaphp_core.c:433: warning: excess elements in
> > struct initializer drivers/pci/hotplug/rpaphp_core.c:433: warning:
> > (near initialization for 'rpaphp_hotplug_slot_ops')
> > 
> > Caused by commit 7227d60c98ad0e1af49c717a62515d74002dd754 ("PCI:
> > Make current and maximum bus speeds part of the PCI core").
> > 
> > I have used the version of the pci tree from next-20100104 for
> > today.
> 
> Doh, sorry.  I don't have a handy powerpc environment around to test
> with. Can you try just deleting line 433?  (this should actually be
> the correct fix).

I just pushed that into my linux-next tree.

Thanks,
-- 
Jesse Barnes, Intel Open Source Technology Center